#!/bin/bash
# author: licess
# website: https://lnmp.org

Download_Mirror='https://soft.vpser.net'
Curl_Ver='curl-7.57.0'

wget -c --prefer-family=IPv4 --no-check-certificate ${Download_Mirror}/lib/curl/${Curl_Ver}.tar.bz2 ${Curl_Ver}.tar.bz2
tar jxf ${Curl_Ver}.tar.bz2
cd ${Curl_Ver}
./configure --prefix=/usr --enable-ares --without-nss --with-ssl
make && make install
cd ..
rm -rf ${Curl_Ver}
rm -f ${Curl_Ver}.tar.bz2

ldconfig

if [ -s /etc/init.d/php-fpm ]; then
    /etc/init.d/php-fpm restart
elif [ -s /etc/init.d/httpd ]; then
    /etc/init.d/httpd restart
fi

echo "done."
